Bug 973561 - Vault configuration should removed from security subsystem
Vault configuration should removed from security subsystem
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: TBD EAP 7
Assigned To: Anil Saldhana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 04:32 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-21 09:36:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FIlip Bogyai 2013-06-12 04:32:52 EDT
Vault configuration should be possible only in one location in config files - on top level between </extensions>   <management>. We recommend that it should be removed from security subsystem domain model, because of redundancy.
Comment 1 Darran Lofthouse 2013-06-12 05:44:41 EDT
A removal of existing configuration would cause backwards compatibility issues, I am not sure how this could be considered until EAP 7.
Comment 2 John Doyle 2013-09-17 13:48:57 EDT
This would break backwards comparability.  Wcan consider for EAP 7 with a plan around migrating configurations to compensate.
Comment 3 Josef Cacek 2014-07-21 09:36:43 EDT
Closing as won't fix for EAP 6.x due to required backward compatibility.

Note You need to log in before you can comment on or make changes to this bug.